-- 3.5.85 Power
CREATE TABLE DictLaunchDocumentTypes
(
	ID int IDENTITY(1,1),
	Description		nvarchar(128) NOT NULL,
	Hidden			bit,
	PRIMARY KEY (ID)
)
GO

ALTER TABLE Объект ADD Код_типа_документа int NULL

ALTER TABLE Объект
        ADD CONSTRAINT ObjectLaunchDocTypes_fk FOREIGN KEY (Код_типа_документа)
                              REFERENCES DictLaunchDocumentTypes

set IDENTITY_INSERT DictLaunchDocumentTypes ON 
insert into DictLaunchDocumentTypes(ID, Description) VALUES(1, 'Акт разграничения')
insert into DictLaunchDocumentTypes(ID, Description) VALUES(2, 'Договор аренды')
insert into DictLaunchDocumentTypes(ID, Description) VALUES(3, 'Договор купли-продажи')
insert into DictLaunchDocumentTypes(ID, Description) VALUES(4, 'Акт ввода в эксплуатацию')
set IDENTITY_INSERT DictLaunchDocumentTypes OFF
